package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.market.agnet.link.MarketAgentLinkDto;
import com.crm.rely.backend.core.entity.market.agent.link.MarketAgentLinkAddEntity;
import com.crm.rely.backend.core.entity.market.agent.link.MarketAgentLinkDeleteEntity;
import com.crm.rely.backend.core.entity.market.agent.link.MarketAgentLinkSearchPageEntity;
import com.crm.rely.backend.core.entity.market.agent.link.MarketAgentLinkUpdateEntity;
import com.crm.rely.backend.core.pojo.table.MarketAgentLinkTable;
import com.crm.rely.backend.exception.ServiceException;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface MarketAgentLinkService {
    MarketAgentLinkDto searchSingle(Long id) throws ServiceException;

    MarketAgentLinkTable getById(Long id) throws ServiceException;

    ResultWithPagerDto<MarketAgentLinkDto> pageSearchList(MarketAgentLinkSearchPageEntity entity) throws ServiceException;

    List<MarketAgentLinkDto> searchList(MarketAgentLinkSearchPageEntity entity) throws ServiceException;

    void add(MarketAgentLinkAddEntity entity) throws ServiceException;

    void update(MarketAgentLinkUpdateEntity entity) throws ServiceException;

    void delete(MarketAgentLinkDeleteEntity entity) throws ServiceException;

    void validated(MultipartFile file) throws ServiceException;

    String uploadFile(MultipartFile file) throws Exception;
}
